<ng-template appPlaceholder></ng-template>
<div class="row">   
    <div class="col-xs-12 col-md-6 col-md-offset-3">
        <!-- <div class="alert alert-danger" *ngIf="error">
            <p>{{error}}</p>
        </div> -->
        <!-- <app-alert [message]="error" *ngIf="error" (close)="onHandleError()"></app-alert> -->
        <div *ngIf="isLoading" style="text-align:center;">
            <app-loading-spinner></app-loading-spinner>
        </div>
        <form #authForm="ngForm" (ngSubmit)="onSubmit(authForm)" *ngIf="!isLoading">
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" id="email" class="form-control" name="email" ngModel required email>
            </div>
            <div class="form-group">
                <label for="password">Mot de passe</label>
                <input type="password" id="password" class="form-control" name="password" ngModel required minlength="6">
            </div>
            <div>
                <button type="submit" class="btn btn-primary" [disabled]="!authForm.valid">{{ isLoginMode ? 'Login' : 'Sign Up'}}</button> |
                <button type="button" class="btn btn-primary" (click)="onSwitchMode()">Switch to {{ isLoginMode ? 'Sign up' : 'Login'}}</button>
            </div>
        </form>
    </div>
</div>